#
# Conditional build:
%bcond_without	dist_kernel	# (don't add kernel related dependencies)
#
Summary:	802.1q vlan Linux implementation
Summary(pl.UTF-8):	Implementacja vlanów 802.1q dla Linuksa
Name:		vlan
Version:	1.9
Release:	1%{?tld}
License:	GPL
Group:		Networking/Admin
Source0:	http://www.candelatech.com/~greear/vlan/%{name}.%{version}.tar.gz
# Source0-md5:	5f0c6060b33956fb16e11a15467dd394
Source1:	http://www.candelatech.com/~greear/vlan/cisco_howto.html
# Source1-md5:	cf0422b58d1a83d088a65b0fb052ec8a
URL:		http://www.candelatech.com/~greear/vlan.html
Patch0:		%{name}-format-security.patch
%{?with_dist_kernel:Conflicts:	kernel < 2.4}
Obsoletes:	vconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%define		_sbindir	/sbin

%description
This is vlan implementation 802.1q for Linux. There is vconfig inside,
which allows you to manage vlans.

%description -l pl.UTF-8
Implementacja vlanów 802.1q dla Linuksa. Pakiet zawiera program
vconfig, który pozwala na zarządzanie vlanami.

%prep
%setup -q -n %{name}
%patch0 -p1

install %{SOURCE1} .

%build
%{__make} clean
%{__make} CC="%{__cc}" CCFLAGS="%{rpmcflags}" LDFLAGS="%{rpmldflags}" CCC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install vconfig $RPM_BUILD_ROOT%{_sbindir}/vconfig
install *.8	$RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG vlan.html cisco_howto.html vlan_test.pl
%attr(755,root,root) %{_sbindir}/vconfig
%{_mandir}/man?/*
%changelog
* Sat Dec 02 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/vlan.git;a=log;h=master

* Sat Dec 02 2023 Marcin Krol <hawk@tld-linux.org> e99e075
- empty debugsource, disable it

* Wed Jan 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> ae0c5c6
- Add patch to fix build with -Werror=format-security

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> f698cde
- fixed Group

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1ef0de1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bc8684d
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> a1ab7a6
- orphaned, outdated

* Sat Oct 08 2005 areq <areq@pld-linux.org> 9241559
- 1.9

* Tue Dec 07 2004 Elan Ruusamäe <glen@pld-linux.org> 7ab9d2d
- Obsoletes vconfig

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> c1bd27e
- spaces->tabs

* Fri Apr 02 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 04457fc
- rebuild; rel 2

* Sun Feb 01 2004 eothane <eothane@pld-linux.org> 461529c
- bcond, cosmetics

* Wed Oct 01 2003 areq <areq@pld-linux.org> 96e4db4
- 1.8

* Tue Aug 26 2003 Tomasz Pala <gotar@pld-linux.org> dbe6291
- no // in paths, sort, white space cleaning

* Mon Jun 30 2003 Jan Rękorajski <baggins@pld-linux.org> 98b946d
- fix multiline strings

* Mon Jun 30 2003 Jan Rękorajski <baggins@pld-linux.org> 53acc4c
- release 2
- added gcc3 patch
- REBUILD the source dammit!

* Sat Jun 07 2003 areq <areq@pld-linux.org> d9cd35e
- 1.7m

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 58917ef
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 3adfba6
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Feb 21 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> f10f93b
- merged from DEVEL

* Fri Feb 21 2003 misi3k <misi3k@pld-linux.org> 9c39168
- added missing files in %%doc
- release 2

